Table of Contents

## Name

XtNextEvent, XtPending, XtPeekEvent, XtProcessEvent, XtMainLoop - query and process events and input

## Syntax

void XtNextEvent(event_return)
XEvent *event_return;

Boolean XtPeekEvent(event_return)
XEvent *event_return;

Boolean XtPending()

void XtProcessEvent(mask)
XtInputMask mask;

void XtMainLoop()

## Arguments

event
  Specifies a pointer to the event structure that is to be dispatched to the appropriate event handler.
event_return
  Returns the event information to the specified event structure.
mask
  Specifies what types of events to process. The mask is the bitwise inclusive OR of any combination of XtIMXEvent, XtIMTimer, XtIMAlternateInput, and XtIMSignal. As a convenience, the X Toolkit defines the symbolic name XtIMAll to be the bitwise inclusive OR of all event types.

## Description

XtNextEvent has been replaced by XtAppNextEvent.

XtPeekEvent has been replaced by XtAppPeekEvent.

XtPending has been replaced by XtAppPending.

XtProcessEvent has been replaced by XtAppProcessEvent.

XtMainLoop has been replaced by XtAppMainLoop.

## See Also

XtAppNextEvent(3xt) , XtAppPending(3Xt) , XtAppPeekEvent(3Xt) , XtAppProcessEvent(3Xt) , XtAppMainLoop(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also